Welcome to Our Community

Some features disabled for guests. Register Today.

Interface can't update firmware via wifi

Discussion in 'Interfaces' started by JayMcD, Apr 18, 2022.

  1. JayMcD

    JayMcD New
    Builder

    Joined:
    Nov 5, 2017
    Messages:
    50
    Likes Received:
    6
    Gives error message - Error contacting server - cannot update. The wifi is connected and working fine. I can get to the interface via web browser... ?????
    Always give an error on boot as well - unable to check for firmware.
    Is the problem at the server end ? Has the server changed or ?
     
  2. Peter Van Der Walt

    Peter Van Der Walt OpenBuilds Team
    Staff Member Moderator Builder Resident Builder

    Joined:
    Mar 1, 2017
    Messages:
    9,899
    Likes Received:
    3,156
    If you are on v1.51 you are up to date.

    Temporary server outages are expected from time to time yes
     
  3. JayMcD

    JayMcD New
    Builder

    Joined:
    Nov 5, 2017
    Messages:
    50
    Likes Received:
    6
    I am at 1.51 - thanks. That said, this “temporary outage” has been happening for over a week, that is why I wondered if it was something more.
     
  4. Peter Van Der Walt

    Peter Van Der Walt OpenBuilds Team
    Staff Member Moderator Builder Resident Builder

    Joined:
    Mar 1, 2017
    Messages:
    9,899
    Likes Received:
    3,156
  5. JayMcD

    JayMcD New
    Builder

    Joined:
    Nov 5, 2017
    Messages:
    50
    Likes Received:
    6
    Yes. From other devices - no problem. Super odd. Still nothing from the interface though.
     
  6. Peter Van Der Walt

    Peter Van Der Walt OpenBuilds Team
    Staff Member Moderator Builder Resident Builder

    Joined:
    Mar 1, 2017
    Messages:
    9,899
    Likes Received:
    3,156
    No other reports of similar. Will let you know if anyone else reports an issue
     
  7. Peter Van Der Walt

    Peter Van Der Walt OpenBuilds Team
    Staff Member Moderator Builder Resident Builder

    Joined:
    Mar 1, 2017
    Messages:
    9,899
    Likes Received:
    3,156
    OK we discovered the cause of the issue: Github replaced a root certicate store without sufficient notice.
    We have released Firmware v1.52 to address the issue - however you won't be able to update to 1.52 via Wifi, you'll have to use Method 2 or 3 from docs:interface:firmware-update [OpenBuilds Documentation] to get onto the version that can access the servers with the updated root certificate, and then from there forth you should not be getting the error anymore

    Let me know if that worked for you
     
    sharmstr likes this.
  8. JayMcD

    JayMcD New
    Builder

    Joined:
    Nov 5, 2017
    Messages:
    50
    Likes Received:
    6
    Ok. I thought there might have been a server side issue. Thanks!
     
    Peter Van Der Walt likes this.

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice